Page MenuHomePhabricator

Create Jenkins job that runs RelatedArticles Selenium tests daily
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJul 27 2017, 1:34 PM

Modifying selenium-RelatedArticles job will not work since that job clones only RelatedArticles and wdio tests need to run from core.

Testing job: selenium-RelatedArticles-T171847. Reusing parts from mediawiki-core-qunit-selenium-jessie.

Done so far:

zuul-cloner \
...
    mediawiki/core mediawiki/extensions/RelatedArticles
cd src
npm install
npm run selenium

Fails with (selenium-RelatedArticles-T171847/9):

ERROR: unknown error: Chrome failed to start: exited abnormally
hashar added a subscriber: hashar.EditedJul 31 2017, 9:13 AM

Add a parameter to the job or to the npm selenium command: DISPLAY=':94'

Then dont forget to set process.env.MW_SERVER + process.env.MW_SCRIPT_PATH

:}

zeljkofilipin removed zeljkofilipin as the assignee of this task.Aug 2 2017, 2:00 PM

Change 372359 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] WIP Create Jenkins job that runs Selenium tests daily

https://gerrit.wikimedia.org/r/372359

Anything I can help with?

@Jdlrobson the job is almost green. Fails because I have messed up bash environment variables, so credentials are wrong. Working on it.

Change 373052 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/RelatedArticles@master] For Selenium tests, click the link to switch to mobile view

https://gerrit.wikimedia.org/r/373052

RelatedArticles test job mediawiki-core-qunit-selenium-jessie-RelatedArticles-T171847 is also green โ˜˜๏ธ๐ŸŒฒ๐ŸŒณ๐Ÿฅ—

Change 373052 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] For Selenium tests, click the link to switch to mobile view

https://gerrit.wikimedia.org/r/373052

mediawiki-core-qunit-selenium-jessie-RelatedArticles-T171847 job is a simplified version of mediawiki-core-qunit-selenium-jessie. I have created it via Jenkins web interface, because that enables easier development.

It could be further simplified by running chrome headless instead of using xvfb, but that is blocked on T167507: WebdriverIO should run Chrome headlessly and T170032: Upgrade to Chromium 59 or newer on Debian Jessie in CI. When @hashar returns from vacation, I am sure he will find more way the job can be simplified.

The next step is to create the job using JJB.

Change 373103 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] WIP Create Jenkins job that runs RelatedArticles Selenium tests daily

https://gerrit.wikimedia.org/r/373103

selenium-RelatedArticles-jessie is created using JJB, still in early development.

selenium-RelatedArticles-jessie is green ๐ŸŒฒ. Minor cleanup and refactoring is needed, but it is working.

Change 373103 merged by Zfilipin:
[integration/config@master] WIP Create Jenkins job that runs RelatedArticles Selenium tests daily

https://gerrit.wikimedia.org/r/373103

Oops, clicked push button by mistake in gihub destop application, so this got merged. Reverting.

Change 373278 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] WIP Create Jenkins job that runs RelatedArticles Selenium tests daily

https://gerrit.wikimedia.org/r/373278

I think 373278 is ready to be merged. selenium-RelatedArticles-jessie job is deployed and green.

I've added selenium-RelatedArticles-jessie to the Reading-Web dashboard in preparation:
https://integration.wikimedia.org/ci/view/Reading-Web/job/selenium-RelatedArticles-jessie/13/

Looks like we are almost there! :)

@Jdlrobson the job is deployed and running daily, so we are actually there. ๐ŸŽ‰ The JJB commit might need some refactoring (if @hashar complains), but it should continue to work.

Jdlrobson closed this task as Resolved.Aug 24 2017, 1:39 PM

Looks done to me!

Change 373278 merged by jenkins-bot:
[integration/config@master] Create Jenkins job that runs RelatedArticles Selenium tests daily

https://gerrit.wikimedia.org/r/373278

Change 372359 abandoned by Zfilipin:
WIP Create Jenkins job that runs Selenium tests daily

Reason:
An experiment.

https://gerrit.wikimedia.org/r/372359